xml-commons-resolver API: Class FileURL

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.helpers
Class FileURL

    java.lang.Object
      |
      +--org.apache.xml.resolver.helpers.FileURL

public abstract class FileURL
extends java.lang.Object

Static method for dealing with file: URLs.

This class defines a static method that can be used to construct an appropriate file: URL from parts. It's defined here so that it can be reused throught the resolver.

(Yes, I'd rather have called this class FileURI, but given that a jave.net.URL is returned, it seemed...even more confusing.)

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM

Constructor Summary
`protected` | `FileURL()`

Method Summary
`static java.net.URL` | `makeURL(java.lang.String pathname)` Construct a file: URL for a path name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileURL

    protected FileURL()

Method Detail

### makeURL

    public static java.net.URL makeURL(java.lang.String pathname)
                                throws java.net.MalformedURLException

  Construct a file: URL for a path name.

  URLs in the file: scheme can be constructed for paths on the local file system. Several possibilities need to be considered:

  - If the path does not begin with a slash, then it is assumed to reside in the users current working directory (System.getProperty("user.dir")).
  - On Windows machines, the current working directory uses backslashes (\\, instead of /).
  - If the current working directory is "/", don't add an extra slash before the base name.

  This method is declared static so that other classes can use it directly.

  Parameters:
    `pathname` - The path name component for which to construct a URL.
  Returns:
    The appropriate file: URL.
  Throws:
    `java.net.MalformedURLException` - if the pathname can't be turned into a proper URL.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.